[Unit Testing Framework] cannot install framework in OS 9.1

[Unit Testing Framework] cannot install framework in OS 9.1

  
Forge Component
(24)
Published on 2016-04-05 by Paulo Ramos
24 votes
Published on 2016-04-05 by Paulo Ramos
installation exits with no error when I try to install into studio 9.1.4. Has anyone else come across this problem yet? any work around?
Hello?
HI folks,
Just trying to follow up here.  Sorry I wasn't able to insert anything helpful.  I was getting a lot of problems with ms edge and this rich text box.  Please find below, the error that's stopping me from being able to install and publish your application

outsystems.extensibility.exceptions.DeploymentException: {"JBAS014671: Failed services" => {"jboss.deployment.unit.\"UTF.war\".PARSE" => "org.jboss.msc.service.StartException in service jboss.deployment.unit.\"UTF.war\".PARSE: JBAS018733: Failed to process phase PARSE of deployment \"UTF.war\"
    Caused by: org.jboss.as.server.deployment.DeploymentUnitProcessingException: JBAS015599: Apache CXF library (cxf-rt-bindings-soap-3.0.1.jar) detected in ws endpoint deployment; either provide a proper deployment replacing embedded libraries with container module dependencies or disable the webservices subsystem for the current deployment adding a proper jboss-deployment-structure.xml descriptor to it. The former approach is recommended, as the latter approach causes most of the webservices Java EE and any JBossWS specific functionality to be disabled."}}
   at outsystems.hubedition.deployservice.extensibility.wildfly.WildflyDeployer.deploy(Unknown Source)
   at outsystems.hubedition.deployservice.applicationservers.IiIIiiiiiiIii.$hbe(Unknown Source)
   at outsystems.hubedition.deployservice.applicationservers.IiIIiiiiiiIii.$uzd(Unknown Source)
   at outsystems.hubedition.deployservice.applicationservers.IiIIiiiiiiIii$$Lambda$49/2027683308.executeImplLambda(Unknown Source)
   at outsystems.hubedition.util.delegates.Action$Action1_Lambda.execute(Unknown Source)
   at outsystems.runtimecommon.CollectionsExtensions.apply(Unknown Source)
   at outsystems.extensibility.ExtensionPointLoader.execute(Unknown Source)
   at outsystems.extensibility.ExtensionPointLoader.execute(Unknown Source)
   at outsystems.hubedition.deployservice.applicationservers.IiIIiiiiiiIii.deployEspace(Unknown Source)
   at outsystems.hubedition.deployservice.Deploy.$yme(Unknown Source)
   at outsystems.hubedition.deployservice.Deploy.$cje(Unknown Source)
   at outsystems.hubedition.deployservice.Deploy.messageTransmission(Unknown Source)
   at sun.reflect.GeneratedMethodAccessor27.invoke(Unknown Source)
   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
   at java.lang.reflect.Method.invoke(Method.java:497)
   at sun.rmi.server.UnicastServerRef.dispatch(UnicastServerRef.java:323)
   at sun.rmi.transport.Transport$1.run(Transport.java:200)
   at sun.rmi.transport.Transport$1.run(Transport.java:197)
   at java.security.AccessController.doPrivileged(Native Method)
   at sun.rmi.transport.Transport.serviceCall(Transport.java:196)
   at sun.rmi.transport.tcp.TCPTransport.handleMessages(TCPTransport.java:568)
   at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run0(TCPTransport.java:826)
   at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.lambda$run$241(TCPTransport.java:683)
   at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler$$Lambda$25/1462018225.run(Unknown Source)
   at java.security.AccessController.doPrivileged(Native Method)
   at sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run(TCPTransport.java:682)
   at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
   at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
   at java.lang.Thread.run(Thread.java:745)

I am experiencing that same issue still as well. Would really like to use this component!

Grayson Udstrand wrote:

I am experiencing that same issue still as well. Would really like to use this component!

Hi Grayson, 

You need to install this via ServiceCenter, not through the development studio.  I think if you go to manage and then espaces, you should see the upload and publish buttons.


Hi,

I have encountered the following error when I tried to manually install the UTC_Core Espace through Service Center:


Required PermissionYou are not allowed to use the Entity 'Process'.
Required PermissionYou are not allowed to use the Entity 'Process_Status'.
Required PermissionYou are not allowed to use the Entity 'Espace_Version'.
Required PermissionYou are not allowed to use the Entity 'Espace_Runtime'.
Required PermissionYou are not allowed to use the Entity 'Web_Service'.
Required PermissionYou are not allowed to use the Entity 'Tenant'.
Required PermissionYou are not allowed to use the Entity 'Espace'.


 I would like to try out the Unit Testing Framework. 

Thank you for your help,

David 

Any update on this issue? I am also not able to install this module in the eSapace and getting the following error:

Upgrading ModuleUpgrading module 'NoCache'.
Upgrade Not SupportedAutomatic upgrade is not supported in J2EE servers. Please upgrade the Extension with your local Integration Studio.
Upgrading ModuleUpgrading module 'UTF_Integration'.
Upgrade Not SupportedAutomatic upgrade is not supported in J2EE servers. Please upgrade the Extension with your local Integration Studio.
Upgrading ModuleUpgrading module 'WSExecution'.
Upgrade Not SupportedAutomatic upgrade is not supported in J2EE servers. Please upgrade the Extension with your local Integration Studio.
Upgrading ModuleUpgrading module 'UTF'.
Upgrade Not SupportedAutomatic upgrade is not supported in J2EE servers. Please upgrade the eSpace with your local Service Studio.
Upgrading ModuleUpgrading module 'UTF_Assertions'.
Upgrade Not SupportedAutomatic upgrade is not supported in J2EE servers. Please upgrade the eSpace with your local Service Studio.
Upgrading ModuleUpgrading module 'UTF_Core'.
Upgrade Not SupportedAutomatic upgrade is not supported in J2EE servers. Please upgrade the eSpace with your local Service Studio.
Upgrading ModuleUpgrading module 'UTF_Template'.
Upgrade Not SupportedAutomatic upgrade is not supported in J2EE servers. Please upgrade the eSpace with your local Service Studio.